.product-image .swiper.main-image {
  margin-left: 40px;
}

.additional-images img {
  max-width: 80px;
}

.product-image .additional-image {
  width: 140px;
  background-color: #fff;
  height: 140px !important;
  border-radius: 23px;
  display: -webkit-box; display: -moz-box; display: -ms-flexbox; display: -webkit-flex; display: flex;
  -webkit-align-items: center; -moz-align-items: center; -ms-flex-align: center; align-items: center;
  -webkit-box-pack: center; -moz-box-pack: center; -webkit-justify-content: center; -ms-flex-pack: center; justify-content: center;
}

.swiper-slide.video-slide {
  display: grid;
  align-items: center;
}


.main-image.swiper .swiper-slide {
  background-color: #fff;
  text-align: center;
}

.main-image.swiper .swiper-slide img {
  max-width: 480px;
}

.route-product-product #content .page-title {
  font-family: 'asty-cf-bold', sans-serif;
  margin: 15px 0px 20px 0px !important;
}

.product-info .product-right {
  position: fixed;
  right: 0;
  top: 244px;
  height: 100%;
  z-index: 99;
  background: #f1f1f1;
  border-left: 1px solid #BFBFBF;
  transition: 0.25s ease all; -webkit-transition: 0.25s ease all; -o-transition: 0.25s ease all; -ms-transition: 0.25s ease all; -moz-transition:0.25s ease all;
}

.header-sticky .product-info .product-right {
  top: 100px;
}

.official-warranty--container {
  border-bottom: 1px solid #BFBFBF;
  padding: 40px 0px;
}

.official-warranty {
  margin: 0px;
  background-color: #B31C27;
  border-radius: 23px;
  text-align: center;
  color: #fff;
  font-size: 18px;
  padding: 8px 30px;
}

.free-shippping--container {
  background-color: #393939;
  border-radius: 31px;
  margin: 18px 0px;
}

.free-shippping--container p {
  margin: 0;
  color: #fff;
  padding: 8px 35px;
  text-align: center;
}

.c--fullwidth-white-bg::before,
.related-categories--container::before {
  content: "";
  width: 1200px !important;
  position: absolute !important;
  background-color: #fff;
  left: -120px !important;
  height: 100%;
}

.variant-tabs {
  justify-content: center;
}
.variant-tabs a {
  font-weight: bold;
  font-size: 24px;
  line-height: 24px;
}

.variants-layout {
  background-color: #fff;
}

.variants-layout .product-thumb {
  justify-content: space-between;
  border:1px #c8c8c8 solid;
}

.variants-layout .product-thumb .image {
  padding: 20px;
}

.variants-layout .product-thumb .caption .name {
  justify-content: center;
  margin-left: auto;
  margin-right: auto;
  padding-right: 5px;
  padding-left: 5px;
  margin-bottom: 20px;
}

.variants-layout .product-thumb .caption .price {
  display: flex;
  font-size: 26px;
  color: rgba(0,0,0,1) !important;
  padding: 12px;
  padding-top: 15px;
  padding-bottom: 15px;
  border-width: 0;
  border-top-width: 1px;
  border-style: solid;
  border-color: rgba(200,200,200,1);
}

.variants-layout .product-thumb .caption .price > div {
  justify-content: center;
  align-items: center;
}

.variant-tabs {
  margin-bottom: 20px;
}

.module-variant-products {
  margin-top: 30px;
}

.module-variant-products .swiper-buttons > div {
  background-color: #fff;
  transition: 0.25s ease all;
  border: 1px solid #393939;
  opacity: 1 !important;
}

.module-variant-products .swiper-buttons .swiper-button-next {
  right: -10px;
}

.module-variant-products .swiper-buttons .swiper-button-prev {
  left: -10px;
}

.module-variant-products .swiper-buttons > div:hover {
  background-color: #f5f5f5;
}

.module-variant-products .swiper-buttons > div::before {
  font-size: 26px;
}

.module-variant-products .product-thumb .price>div span.price-old {
  color: #7e8083;
    font-size: 20px;
    text-decoration: line-through;
    margin-left: 5px;
}

.variant-tabs a {
  font-family: 'cf-asty-bold', sans-serif;
}

.variants-layout .product-thumb .caption .name a {
  white-space: normal;
  overflow: initial;
  text-overflow: initial;
  -webkit-line-clamp: 2;
  font-size: 14px;
  color: rgba(0,0,0,1) !important;
  text-align: center;
  width: 100%;
}

/* .variant-tabs .swiper-buttons   */

.block-wrapper {
  max-width: 100%;
}

.variants-product-thumb{
  flex-grow:0 !important;
}

#product-product .product-info .product-right {
  padding-left: 0px;
  padding-right: 0px;
  padding-bottom: 20px;
  overflow: auto;
}

.product-info .product-details {
  -webkit-align-items: center; -moz-align-items: center; -ms-flex-align: center; align-items: center;
}

.product-info .product-details .button-group-page {
  background-color: #B31C27;
  padding: 15px 15px;
}

.product-info .product-details .price-group .product-price-new,
.product-info .product-details .price-group .product-price,
.product-info .product-details #button-cart {
  font-family: 'asty-cf-bold', sans-serif;
}

.product-stats--list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  column-gap: 10px;
  margin: 0px;
  padding: 0px 15px;
}

.product-stats--list li {
  width: 320px;

  &.stock-status {
    grid-column: span 2;
    width: 640px;
  }
}

.product-stats--list li:not(:last-child) {
  margin-bottom: 5px;
}

.product-page-texts--container {
  margin: 100px 0px 50px 50px;
}

.product-page-texts--container .ppt--list {
  margin: 0px;
  position: relative;
}

.product-page-texts--container .ppt--list::before {
  content: "";
  width: 1px;
  background-color: #000;
  position: absolute;
  left: 7.5px;
  height: calc(100% + 20px);
  top: -10px;
}

.product-page-texts--container .ppt--list li {
  position: relative;
  padding-left: 30px;
}

.product-page-texts--container .ppt--list li::before {
  content: "";
  top: 3px;
  width: 15px;
  height: 15px;
  background-color: #750911;
  border-radius: 50%;
  position: absolute;
  left: 0px;
}

.product-page-texts--container .ppt--list li:not(:last-child) {
  margin-bottom: 20px;
}

.tags {
  margin-bottom: 60px;
}

.tags .tags-title {
  margin: 0px 20px 0px 0px;
  background-color: #9C9C9C;
  border-radius: 31px;
  padding: 10px 15px;
  font-size: 20px;
  color: #fff;
  font-weight: normal;
}

.tags a {
  margin: 0px !important;
  font-size: 20px !important;
  color: #000;
}

.product_tabs .nav-tabs>li>a {
  border-radius: 31px !important;
}

.product_tabs .nav-tabs {
  -ms-flex-pack: space-between; -webkit-box-pack: justify; -webkit-justify-content: space-between; justify-content: space-between;
}

.product-info .product-details .button-group-page {
  width: 100% !important;
}

.product-info .product-details .button-group-page .cart-group {
  -ms-flex-pack: space-between; -webkit-box-pack: justify; -webkit-justify-content: space-between; justify-content: space-between;
}

.product-image.position-left .additional-images {
  min-width: 154px;
}

.product-image.position-left .additional-image svg {
  z-index: 99;
  position: absolute;
}

.product-image.position-left .additional-images {
  width: fit-content;
}

.c--product-carousel .module-products .nav-tabs > li > a {
  padding-left: 40px;
}

.product-info .product-left {
  padding-bottom: 0px !important;
}

.product-details--mobile {
  display: none;
}

.payments {
  width: 100%;
  display: flex;
  justify-content: center;
  margin-bottom: 15px;
  margin-left: 110px;
}

html.mobile.ios #product-product .product-info .product-right,
html.tablet.ios #product-product .product-info .product-right {
  position: relative;
}

html.mobile.ios #product-product .product-info .product-right .button-group-page,
html.tablet.ios #product-product .product-info .product-right .button-group-page {
  z-index: 99999;
}

.button-group-page .bestprice__placeholder {
  transform: scale(0.8);
}

.product-image .additional-images:not(.swiper) {
  display: grid !important;
  grid-template-columns: repeat(4, 1fr);
  margin-top: 15px;
  gap: 15px;
}

.product-image .additional-images:not(.swiper) .additional-image {
  width: 100%;
  max-width: 100px;
}

.desktop-header-active .product-image .additional-images .additional-image:not(:last-child) {
  margin-bottom: 20px;
} 

.extra-group {
  margin-bottom: 15px;
  padding: 12px 20px;
  text-align: center;
}

.c--inline-form fieldset .module-item-1,
.c--inline-form fieldset .module-item-2,
.c--inline-form fieldset .module-item-3,
.c--inline-form fieldset .module-item-4 {
  display: inline-block;
  width: 49%;
}

.extra-group .btn-extra {
  background-color: #0a55a0;
  font-size: 16px;
  padding: 12px 20px;
}

.extra-group .btn-extra:hover {
  background-color: #036;
}

.product-info.out-of-stock .extra-group .btn-extra {
  background-color: #f58818;
}

.product-info.out-of-stock .extra-group .btn-extra:hover {
  background-color: #de7a13;
}

.product-info .product-details .countdown-title {
  font-family: 'asty-cf-bold', sans-serif;
}

.discounts > p {
  font-family: 'asty-cf-bold', sans-serif;
  text-align: center;
  margin-bottom: 5px;
  margin-top: 5px;
}

.discounts .product-discount {
  padding: 5px 25px;
}

.discounts .product-discount:nth-child(odd) {
  background-color: #f8f8f8;
}

.discounts .product-discount:nth-child(even) {
  background-color: #E4E4E4;
}

.discounts .product-discount:hover {
  background-color: #D1E8EB;
}

.discounts {
  margin-bottom: 10px;
  border: 1px solid #ddd;
}

.discounts-mobile {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: fit-content;
  margin: 0 auto;
}

.product-info.is-history .stock-status {
  display: none;
}

.c--help-popup .help-popup .text-1 {
  display: flex;
  justify-content: center;
}

.c--help-popup .help-popup .text-2 {
  color: var(--primary-color);
  display:flex;
  justify-content: center;
  gap: 10px;
}

.c--help-popup .help-popup .text-2 span{
  height: 30px;
  width: 30px;
  background: var(--primary-color);
  border-radius: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.c--help-popup .help-popup .text-2 a {
  color: var(--primary-color) !important;
  text-decoration: none;
  display: flex;
  align-items: center;
}

.c--help-popup .photo {
  display: flex;
  justify-content: center;
}

.c--help-popup .photo img {
  position: absolute;
  top: -25px;
  bottom: auto;
  border-radius: 50px;
  border: 3px solid #fff;
}

.product_tabs .tab-content .tiktok-embed::before {
  display: none;
}

.product_tabs .tab-content .tiktok-embed {
  border: none;
}

.product-options {
  margin-bottom: 24px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
  width: 100%;
  max-width: 640px;

  .form-group {
    width: 100%;
    margin-top: 0px !important;

    &:only-child {
      margin: 0 auto;
      grid-column: span 2;
      max-width: 320px;
    }

    > * {
      max-width: 100% !important;
    }
    label {
      justify-content: center !important; 
    }
  }
}

#btn_tbigr {
  margin: 0 auto;
}

.tbi-popup #iframeContent {
  width: 350px;
  height: 860px;
}

.tbi-popup.popup-wrapper .popup-container {
  width: 390px;
  height: 1100px;
}

.tbi-popup.popup-wrapper .popup-container .popup-inner-body {
  background: transparent;
  box-shadow: none;
}

.tbi-popup.popup-wrapper .popup-container .popup-inner-body .popup-close {
  top: 30px;
  right: 20px;
}

.tbi-popup.popup-wrapper {
  overflow-y: hidden !important;
}

a:has(#btn_tbigr) {
  cursor: pointer;
}

@media only screen and (max-height: 850px) {
  .product-info .product-right {
    top: 0px;
    position: relative;
  }
}

@media only screen and (max-width: 1700px) {
  .extra-group .btn-extra {
    height: 52px;
    font-size: 17px;
  }
}

@media only screen and (max-width: 1500px) {
  .product-image .swiper.main-image {
    margin-left: 20px;
  }
  .official-warranty {
    font-size: 16px;
  }

  .free-shippping--container p {
    padding: 8px;
  }

  .product-info .product-details .button-group-page {
    padding: 15px 10px;
  }

  .tags {
    margin-bottom: 75px;
  }

  .related-categories--container {
    padding-left: 50px;
  }

}

@media only screen and (max-width: 1366px) {
  .product-stats--list {
    grid-template-columns: 1fr;

    li {
      width: 100% !important;

      &.stock-status {
        grid-column: initial;
      }
    }
  }

  .extra-group .btn-extra {
    font-size: 16px;
    height: 44px;
  }
  .route-product-product #content .page-title {
    margin: 0px 0px 15px 0px !important;
  }

  .product-image .additional-image {
    width: 100px;
    height: 100px !important;
  }

  .additional-images img {
    max-width: 65px;
  }

  .product-image.position-left .additional-images {
    min-width: 100px;
  }

  .c--fullwidth-white-bg::before, .related-categories--container::before {
    width: 100vw !important;
  }

  .product-page-texts--container {
    margin-left: 0px;
  }
}

@media only screen and (max-width: 1024px) {
  .product-info .product-details--mobile .countdown-title {
    font-size: 16px;
    text-align: center;
    margin-bottom: 10px;
  }

  .product-options {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
  }

  .product-options .options-title {
    display: none;
  }

  .variants-layout .product-thumb .caption .price {
    font-size: 22px;
  }


  .additional-image .vimeo-thumb {
    max-width: 40px;
  }

  #product-product .product-info .product-right {
    border: none;
  }

  .product-info .product-left {
    padding: 0px !important;
  }

  .product-image .swiper.main-image {
    margin-left: 0px;
  }

  .product-page-texts--container {
    margin-top: 50px;
  }

  .free-shippping--container  {
    margin: 15px auto;
    max-width: 480px;
  }

  .official-warranty--container{
    max-width: 480px;
    margin: 0 auto;
    padding: 30px 0px;
  }

  .c--fullwidth-white-bg::before, .related-categories--container::before {
    left: -20px !important;
  }

  .tags {
    margin-bottom: 20px;
  }

  .tags .tags-title,
  .tags a {
    font-size: 16px !important;
  }

  .product-details--mobile {
    display: block;
  }

  .product-info .product-details > div:not(.button-group-page) {
    display: none !important;
  }

  .product-info .product-left {
    width: 100% !important;
  }

  #product-product .product-info .product-right {
    width: auto;
  }

  .product-info .product-details .button-group-page {
    position: fixed !important;
  }
}

@media only screen and (max-width: 760px) {
  .c--product-carousel .module-products .nav-tabs > li > a,
  .product_tabs .tab-content  {
    padding-left: 0px !important;
  }

  .related-categories--container .related-categories--list {
    margin: 0 auto;
  }
}

@media only screen and (max-width: 600px) {
  .related-categories--container {
    padding-left: 0px;
  }

  .variant-tabs .tab-1 a {
    white-space: nowrap;
    font-size: 18px;
  }

  .related-categories--container .related-categories--list {
    grid-template-columns: repeat(2, 1fr);
    column-gap: 20px;
  }
}

@media only screen and (max-width: 470px) {
  .product-image .additional-images:not(.swiper) { 
    grid-template-columns: repeat(3, 1fr);
  }

  .extra-group .btn-extra,
  .free-shippping--container p {
    font-size: 14px;
  }

  .route-product-product:not(.popup) .product-info .button-group-page .btn-cart:before {
    margin-right: 0px;
  }
}

